package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConfiguracionProductoParadaDAO;
import com.rjconsultores.ventaboletos.entidad.ConfiguracionProducto;
import com.rjconsultores.ventaboletos.entidad.ConfiguracionProductoParada;

@Repository("configuracionProductoParadaDAO")
public class ConfiguracionProductoParadaHibernateDAO extends GenericHibernateDAO<ConfiguracionProductoParada, Long> implements ConfiguracionProductoParadaDAO{
	
	@Autowired
	public ConfiguracionProductoParadaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}
	
	@SuppressWarnings("unchecked")
	@Override
	public List<ConfiguracionProductoParada> buscarPorId(ConfiguracionProducto id) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq("activo", Boolean.TRUE));
		c.add(Restrictions.eq("configuracionProducto", id));
		return c.list();
	}

}
